Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mauda.feedback
Class FeedbackGenerator

    java.lang.Object
      mauda.feedback.FeedbackGenerator

All Implemented Interfaces:
  ExerciseUpdateListener

    public class FeedbackGenerator

extends java.lang.Object
implements ExerciseUpdateListener

Central class for generating feedback.

Author:
  Markus Krebs

Constructor Summary
`FeedbackGenerator(Exercise exercise)` Creates a FeedbackGenerator

Method Summary
`void` | `exerciseUpdate(ExerciseUpdateEvent e)` Invoked when an Event occures
`java.lang.String` | `genMessage(java.lang.String img1, java.lang.String txt1)` Generates a 1x2 table-HTML-Message from the given parameters
`java.lang.String` | `genMessage(java.lang.String img1, java.lang.String txt1, java.lang.String img2, java.lang.String txt2)` Generates a 2x2 table-HTML-Message from the given parameters
`FeedbackObject` | `getFeedback()` Gets a FeedbackObject, to the current position inside the exercise.
`KBFormulaEvaluator` | `getKBFormulaEvaluator()` Gets the KBFormulaEvaluator
`void` | `loadKB()` Loads the plugin-specific knowledge-base
`static void` | `setKBFormulaEvaluator(KBFormulaEvaluator kbfe)` Sets the plugin-specific KBFormualEvaluator.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FeedbackGenerator

    public FeedbackGenerator(Exercise exercise)

  Creates a FeedbackGenerator

  Parameters:
    `exercise` - Exercise

Method Detail

### exerciseUpdate

    public void exerciseUpdate(ExerciseUpdateEvent e)

  Description copied from interface: `ExerciseUpdateListener`
  Invoked when an Event occures

  Specified by:
    `exerciseUpdate` in interface `ExerciseUpdateListener`
  Parameters:
    `e` - The event

### loadKB

    public void loadKB()

  Loads the plugin-specific knowledge-base

### setKBFormulaEvaluator

    public static void setKBFormulaEvaluator(KBFormulaEvaluator kbfe)

  Sets the plugin-specific KBFormualEvaluator. E.g. FibHeap: FibHeapKBFormualEvaluator

  Parameters:
    `kbfe` - KBFormualEvaluator

### getKBFormulaEvaluator

    public KBFormulaEvaluator getKBFormulaEvaluator()

  Gets the KBFormulaEvaluator

  Returns:
    KBFormualEvaluator
  See Also:
    `setKBFormulaEvaluator(KBFormulaEvaluator)`

### getFeedback

    public FeedbackObject getFeedback()

  Gets a FeedbackObject, to the current position inside the exercise.

  Returns:
    FeedbackObject

### genMessage

    public java.lang.String genMessage(java.lang.String img1,
                                       java.lang.String txt1,
                                       java.lang.String img2,
                                       java.lang.String txt2)

  Generates a 2x2 table-HTML-Message from the given parameters

  Parameters:
    `img1` - The image that should be displayed in the upper-left-cell of the message
    `txt1` - The HTML-text that should be displayed in the upper-right-cell of the message
    `img2` - The image that should be displayed in the lower-left-cell of the message
    `txt2` - The HTML-text that should be displayed in the upper-right-cell of the message
  Returns:
    A HTML-Message

### genMessage

    public java.lang.String genMessage(java.lang.String img1,
                                       java.lang.String txt1)

  Generates a 1x2 table-HTML-Message from the given parameters

  Parameters:
    `img1` - The image that should be displayed in the left-cell of the message
    `txt1` - The HTML-text that should be displayed in the right-cell of the message
  Returns:
    A HTML-Message

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD